-- Audit Location Schedules - query_team_filter_count_audit_schedules.sql -- all ALSs for teams
SELECT

team.teamid AS TEAM_ID
,COUNT(DISTINCT(inno_auditlocationschedule.inno_auditlocationscheduleid)) AS COUNT_OF_TASKS


FROM inno_auditlocationschedule
INNER JOIN inno_questionset ON inno_questionset.inno_questionsetid = inno_locationschedule_questionsetid
INNER JOIN teammembership ON team.teamid = inno_auditlocationschedule.ownerid
INNER JOIN team ON team.teamid = teammembership.teamid
INNER JOIN inno_location ON inno_locationid = inno_auditlocationschedule_locationid


WHERE inno_teamtype IN (?, ?)
AND systemuserid = ?
AND (inno_nextauditdate < datetime(?) OR inno_nextauditdate BETWEEN datetime(?) AND datetime(?))


GROUP BY
team.teamid