-- Service Appointments -- Location selected
SELECT DISTINCT 

serviceappointment.rowid _id
, serviceappointment.*
--, inno_location.*

FROM serviceappointment
INNER JOIN inno_location ON inno_location.inno_locationid = serviceappointment.inno_location

INNER JOIN inno_location AS ROOT_LOC ON inno_location.inno_internalpath LIKE ROOT_LOC.inno_internalpath || '%' 






LEFT JOIN inno_status ON inno_status.inno_statusid = serviceappointment.inno_statusid
LEFT JOIN team ON team.LocalId = serviceappointment.ownerid 
LEFT JOIN teammembership ON team.teamid = teammembership.teamid 


WHERE
ROOT_LOC.inno_locationid = ? /* SelectedNode */
AND (inno_status.LocalId IS NULL OR (
    	inno_status.inno_statusallowedonmobile <> 0
    		--//v17 A.G 10834 Show Tasks with Rejected Status in the list. Removed 3rd ?
    	AND inno_status.inno_mappedstatusname NOT IN (?, ?, ?) --(341380010, 341380011, 341380004)  -- (inno_status_inno_mappedstatusname_enum ProblemSolved, Canceled, Rejected)
    	)
	)  
AND (serviceappointment.resources LIKE '%' || ? || '%' /* UserId */
    OR serviceappointment.inno_assignedto = ? /* UserId */
    OR
        ((serviceappointment.inno_assignedto = ? /* Guid.Empty */ OR serviceappointment.inno_assignedto IS NULL)
        AND (serviceappointment.resources LIKE '%' || ? || '%' /* Guid.Empty */ OR serviceappointment.resources = '' OR serviceappointment.resources LIKE '%"entities":[]%' OR serviceappointment.resources IS NULL)
        AND team.inno_teamtype IN  (?, ?) /* (341380002, 341380003) ServicetracHelpdesk, ServicetracAuditHelpdesk */
        AND teammembership.systemuserid = ? /* UserId */
        )
    )
AND (serviceappointment.prioritycode = ? OR serviceappointment.scheduledstart < datetime(?) OR serviceappointment.scheduledstart BETWEEN datetime(?) AND datetime(?))