--query_audit_failure_list List of failure reasons that can be selected
SELECT DISTINCT 
0 as priority,
(inno_failure.rowid + 1) _id
,inno_failure.inno_attachhhoto
--V17 A.G 10823 Get inno_attachnote too for Mandatory Entry of Failure Location Info
,inno_failure.inno_attachnote
,inno_failure.inno_createhelpdeskcase
,inno_failure.inno_failure_casetemplateid
,inno_failure.inno_failure_failuresetid
,inno_failure.inno_failure_teamid
,inno_failure.inno_failureid
,inno_failure.inno_name
,inno_failure.statecode
,inno_failure.LocalId
,inno_description


FROM inno_failure
INNER JOIN inno_failureset ON inno_failure.inno_failure_failuresetid = inno_failureset.inno_failuresetid 

WHERE inno_failureset.inno_failuresetid = ?
AND inno_failure.statecode = ?

ORDER BY priority, inno_failure.inno_name ASC