SELECT DISTINCT 

inno_auditlocationschedule.rowid _id
,inno_questionset.inno_name AS "inno_questionset_inno_name"
,inno_auditlocationschedule.inno_auditlocationscheduleid
,inno_auditlocationschedule.inno_name
,inno_auditlocationschedule.inno_nextauditdate --,inno_auditlocationschedule.statecode
, COUNT(inno_questionsetresult.inno_questionsetresultid) AS "HasQuestionResults"

FROM inno_auditlocationschedule
INNER JOIN inno_questionset ON inno_questionset.inno_questionsetid = inno_locationschedule_questionsetid
INNER JOIN teammembership ON team.teamid = inno_auditlocationschedule.ownerid 
INNER JOIN team ON team.teamid = teammembership.teamid

LEFT JOIN inno_questionsetresult ON inno_questionsetresult.inno_auditlocationschedule = inno_auditlocationschedule.inno_auditlocationscheduleid
	AND inno_questionsetresult.inno_questionsetresult_auditsessionid = ?

WHERE inno_teamtype IN (?, ?)
AND systemuserid = ?
AND inno_auditlocationschedule.owningteam = ?
AND inno_auditlocationschedule_locationid = ?



GROUP BY 
inno_auditlocationschedule.rowid
,inno_questionset.inno_name
,inno_auditlocationschedule.inno_auditlocationscheduleid
,inno_auditlocationschedule.inno_name
,inno_auditlocationschedule.inno_nextauditdate --,inno_auditlocationschedule.statecode

ORDER BY inno_nextauditdate ASC