SELECT
       [inno_questionset].[rowid] [_id],
       [inno_questionset].[inno_name],
       [inno_questionset].[inno_questionsetid],
       COUNT ([inno_questionsetresult].[inno_questionsetresultid]) AS [Count_Of_Questionsetresults],
       DraftQsr.istemp as hasTemp

FROM   [inno_questionset]
       LEFT JOIN [inno_questionsetresult] ON [inno_questionsetresult].[inno_questionsetresult_questionsetid] = [inno_questionset].[inno_questionsetid]
            AND [inno_questionsetresult].[inno_questionsetresult_auditsessionid] = ?
            AND ([inno_questionsetresult].[inno_auditlocationschedule] IS NULL
            OR [inno_questionsetresult].[inno_auditlocationschedule] = ?)
            AND [inno_questionsetresult].[statecode] = ?
            AND [inno_questionsetresult].[ownerid] = ?
            AND [inno_questionsetresult].[inno_questionsetresult_locationid] = ?
            AND ([inno_questionsetresult].[eigo_AuditPartnerID] IS NULL
            OR [inno_questionsetresult].[eigo_AuditPartnerID] = ?)
            AND [inno_questionsetresult].[istemp] = 0

       LEFT JOIN [inno_questionsetresult] [DraftQsr] ON [DraftQsr].[inno_questionsetresult_questionsetid] = [inno_questionset].[inno_questionsetid]
            AND [DraftQsr].[inno_questionsetresult_auditsessionid] = ?
            AND ([DraftQsr].[inno_auditlocationschedule] IS NULL
            OR [DraftQsr].[inno_auditlocationschedule] = ?)
            AND [DraftQsr].[statecode] = ?
            AND [DraftQsr].[ownerid] = ?
            AND [DraftQsr].[inno_questionsetresult_locationid] = ?
            AND ([DraftQsr].[eigo_AuditPartnerID] IS NULL
            OR [DraftQsr].[eigo_AuditPartnerID] = ?)
            AND DraftQsr.statecode = 0
            AND [DraftQsr].[istemp] = 1

WHERE

 --WHERE_CLAUSE--

GROUP  BY
          [inno_questionset].[rowid],
          [inno_questionset].[inno_name],
          [inno_questionset].[inno_questionsetid];