-- Incident -- Location selected -- Team selected 
SELECT DISTINCT 

incident.rowid _id
, incident.*
--, inno_location.*

FROM incident
INNER JOIN inno_location ON inno_location.inno_locationid = incident.inno_location

INNER JOIN inno_location AS ROOT_LOC ON inno_location.inno_internalpath LIKE ROOT_LOC.inno_internalpath || '%' 






LEFT JOIN inno_status ON inno_status.inno_statusid = incident.inno_statusid




WHERE
ROOT_LOC.inno_locationid = ? /* SelectedNode */
AND (inno_status.LocalId IS NULL OR (
    	inno_status.inno_statusallowedonmobile <> 0
    		--//v17 A.G 10834 Show Tasks with Rejected Status in the list. Removed 3rd ?
    	AND inno_status.inno_mappedstatusname NOT IN (?, ?, ?) --(341380010, 341380011, 341380004)  -- (inno_status_inno_mappedstatusname_enum ProblemSolved, Canceled, Rejected)
    	)
	)  
AND (( incident.inno_assignedto = ? /* UserId */
    OR 
        (incident.inno_assignedto = ? /* Guid.Empty */
         OR incident.inno_assignedto IS NULL))
        AND incident.inno_incident_assignedteamid = ? /* Selected Team */
        
    )
AND (incident.prioritycode = ? OR incident.followupby < datetime(?) OR incident.followupby BETWEEN datetime(?) AND datetime(?))