SELECT DISTINCT
                [q].*,
                [a].[rowid] AS [IsGoToQuestion],
                [qr].[rowid] AS [HasResult]
FROM   [inno_question] [q]
       LEFT JOIN [inno_conditionalanswer] [a] ON [q].[localid] = [a].[inno_gotoquestionid] AND [a].[statecode] = 0
       LEFT JOIN [inno_questionresult] [qr] ON [q].[LocalId] = [qr].[inno_question] AND [qr].[statecode] = 0
        AND ([qr].[inno_questionresult_questionsetresulid] = ? OR [qr].[inno_questionresult_questionsetresulid] IS NULL)
WHERE  [q].[inno_question_questionsetid] = ?
         AND [q].[statecode] = 0
         AND (
         [q].[Ownerid] = ?
         -- OR [q].[Ownerid] IS NULL
         )
/*SELECT-START
          AND ([q].[inno_order] >= (SELECT [inno_order]
                                         FROM   [inno_question]
                                         WHERE  [localid] = ?)
                  --AND [q].[inno_order] < ?
                  )
                  --AND ([a].[inno_gotoquestionid] = ?
                  --OR [a].[inno_gotoquestionid] IS NULL)
SELECT-END*/
ORDER  BY [q].[inno_order] ASC;