-- query_count_helpdesk_task_for_locations.sql = All incidents for speficied team and location(s)
SELECT DISTINCT

incident.inno_location inno_location











FROM incident
INNER JOIN inno_location ON inno_location.inno_locationid = incident.inno_location

INNER JOIN (SELECT inno_internalpath || '%' AS ROOT_inno_internalpath
FROM inno_location
INNER JOIN inno_userlocation ON inno_locationid = inno_userlocation_locationid
WHERE inno_userlocation.inno_userlocation_userid = ? -- UserId
AND inno_userlocation.statecode = ? -- Active == 0
) AS ROOTS ON inno_location.inno_internalpath LIKE ROOT_inno_internalpath

LEFT JOIN inno_status ON inno_status.inno_statusid = incident.inno_statusid
LEFT JOIN team ON team.teamid = incident.inno_incident_assignedteamid
LEFT JOIN teammembership ON team.teamid = teammembership.teamid
LEFT JOIN inno_servicelevel ON inno_servicelevelid = incident.inno_servicelevel

WHERE

    (inno_status.LocalId IS NULL OR (
    	inno_status.inno_statusallowedonmobile <> 0
    		--//v17 A.G 10834 Show Tasks with Rejected Status in the list. Removed 3rd ?
    	AND inno_status.inno_mappedstatusname NOT IN (?, ?, ?) --(341380010, 341380011, 341380004)  -- (inno_status_inno_mappedstatusname_enum ProblemSolved, Canceled, Rejected)
    	)
	)
AND (incident.inno_assignedto = ? -- UserId
    OR
        ((incident.inno_assignedto = ? -- Guid.Empty
         OR incident.inno_assignedto IS NULL)
        AND team.inno_teamtype IN  (?, ?) -- (341380002, 341380003) ServicetracHelpdesk, ServicetracAuditHelpdesk
        AND teammembership.systemuserid = ? -- UserId
        )
    )
AND (incident.prioritycode = ? OR incident.followupby < datetime(?) OR incident.followupby BETWEEN datetime(?) AND datetime(?))

AND CASE
    -- Is Overdue inno_duration
--NOT SA
    WHEN incident.followupby < datetime(?) THEN 'o'
    -- Is Due
    WHEN inno_duration IS NULL OR datetime(?) > DATETIME(incident.followupby, '-'|| (inno_duration * ?) ||' minutes') THEN 'd'
--NOT SA
    -- Is not due
    ELSE 'n'
    END IN (?, ?, ?)

--AND incident.prioritycode = ? -- 1 High
--AND incident.inno_incident_assignedteamid = ? -- Selected Team
--AND incident.inno_location IN (?, ...) -- Selected Site(s)