SELECT SUM(result), inno_internalpath, MAX(inno_sampleauditbehaviour) AS inno_sampleauditbehaviour, SUM(totalALSAvailable) FROM (

SELECT DISTINCT

l.inno_name,
l.inno_internalpath,
s.localid,
s.inno_enddate,
s.inno_targetauditcount,
s.inno_auditcount,
s.inno_sampleauditbehaviour,
Count(a.localid) AS totalALSAvailable,
(inno_targetauditcount - inno_auditcount) AS result

FROM inno_sampleauditperiod s
INNER JOIN inno_location l ON s.inno_locationid = l.LocalId
INNER JOIN inno_auditlocationschedule a on a.inno_sampleauditperiodid = s.localid

where (l.inno_internalpath LIKE ? || '%'
--[OR l.inno_internalpath IN XX]
)
AND s.inno_auditcount < s.inno_targetauditcount
AND (s.owningteam = ? OR s.owningteam = ?)
AND s.inno_startdate < datetime(?)
AND s.inno_enddate >  datetime(?)
AND s.statecode = 0
AND a.inno_sampleauditperiodid NOT IN
(SELECT DISTINCT [qsetresult].[inno_sampleauditperiodid]
FROM   [inno_sampleauditperiod] [completesamps]
       INNER JOIN [inno_auditlocationschedule] [auditschedules] ON [completesamps].[inno_sampleauditperiodid] = [auditschedules].[inno_sampleauditperiodid]
       INNER JOIN [inno_questionsetresult] [qsetresult] ON [qsetresult].[inno_auditlocationschedule] = [auditschedules].[localid]
       INNER JOIN [inno_auditsession] [session] ON [session].[localid] = [qsetresult].[inno_questionsetresult_auditsessionid]
WHERE  [completesamps].[inno_sampleauditbehaviour] = '341380001'
         AND [session].[inno_status] = '341380002'
         AND [qsetresult].[inno_sampleauditperiodid] not null
         AND [qsetresult].[inno_sampleauditperiodid] != '00000000-0000-0000-0000-000000000000')

GROUP BY s.localid
ORDER BY l.inno_internalpath ASC

)